[AI03]News Entity Recognition(NER)
News Entity Recognition helps you recognize entity type in Chinese/English news text, it supported entity types include companies, personal names, addresses, academic institutions, government institutions, and more.
Note:
1.If you need to recognize other types of texts (non-news-texts), the interface can also support it, such as paper texts. However, the recognition effectiveness may be lower compared to news texts.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | cn | Choose the language of the input text:
CN:Chinese
EN:English |
Required | string | 药鼎记:生物医药新生力量
7964682698844491.jpg
2018年3月以来,国家药品监督管理局采取了各种措施加快全球创新药进入中国的速度,通过参与全球同步开发引进新药的模式也正在逐步实现;同时,中国创新药产业进入收获期,国产IND(新药临床研究申请)被受理的数量持续升高,且中国创新药Licence-out在数量和金额上都呈现快速增长态势。 | News text content. Chinese text is required to be no more than 500 characters or English text no more than 500 words |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
end | integer<int32> | 59 | NER end position |
type | string | GOV | entity type:
COM:company
GOV:government
GPE:address
ACA:academic
PPL:personal name
NPO:non-profit
CDO:hospital |
start | integer<int32> | 50 | NER start position |
entity | string | 国家药品监督管理局 | entity name |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"end": 59,
"type": "GOV",
"start": 50,
"entity": "国家药品监督管理局"
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms